import { EventEmitter } from '@angular/core';
import { AbstractCoreComponent, DownloadV1LabelsModel, DownloadV1Model } from "@adobe/aem-core-components-angular-base/core";
export declare class DownloadV1Component extends AbstractCoreComponent implements DownloadV1Model {
    baseCssClass: string;
    titleType: string;
    text?: any;
    url?: any;
    title: any;
    description?: any;
    actionText?: any;
    filename?: any;
    format?: any;
    size?: any;
    extension: any;
    displayFilename: boolean;
    displaySize: boolean;
    displayFormat: boolean;
    labels: DownloadV1LabelsModel;
    clickRequest: EventEmitter<any>;
    onClick(): void;
    get containerCssClass(): string;
    get isDisplayingDescription(): boolean;
    get isDisplayingProperties(): boolean;
    get isDisplayingFilesize(): boolean;
    get isDisplayingFileformat(): boolean;
    get isDisplayingFilename(): boolean;
    get isDisplayingDownloadButton(): boolean;
    get isEmpty(): boolean;
}
