import { AbstractRoutedCoreComponent, TeaserV1Action, TeaserV1Model } from "@adobe/aem-core-components-angular-base/core";
export declare class TeaserV1Component extends AbstractRoutedCoreComponent implements TeaserV1Model {
    baseCssClass: string;
    pretitle?: string;
    title?: string;
    description?: string;
    titleType: string;
    linkURL: string;
    actionsEnabled: boolean;
    imageLinkHidden: boolean;
    titleLinkHidden: boolean;
    actions: TeaserV1Action[];
    imagePath: string;
    get isEmpty(): boolean;
    get isShowingImage(): boolean;
}
