import { AbstractRoutedCoreComponent, NavigationItemModel, NavigationUtilityService, NavigationV1Item, NavigationV1Model } from "@adobe/aem-core-components-angular-base/core";
export declare class NavigationV1Component extends AbstractRoutedCoreComponent implements NavigationV1Model {
    baseCssClass: string;
    navigationUtilService: NavigationUtilityService;
    items: NavigationV1Item[];
    accessibilityLabel: any;
    constructor(navigationUtilService: NavigationUtilityService);
    get isEmpty(): boolean;
    getItemCssClass(item: NavigationV1Item): string;
    /**
     * You may overrule this method to determine for example based on current URL / page context whether the item is active.
     * @param item
     */
    isItemActive(item: NavigationItemModel): boolean;
}
