import { NavigationV1Component } from "@adobe/aem-core-components-angular-base/layout/navigation/v1";
import { NavigationV1Item, LanguageNavigationV1Item, LanguageNavigationV1Model } from "@adobe/aem-core-components-angular-base/core";
export declare class LanguageNavigationV1Component extends NavigationV1Component implements LanguageNavigationV1Model {
    baseCssClass: string;
    items: LanguageNavigationV1Item[];
    accessibilityLabel: any;
    get isEmpty(): boolean;
    getItemCssClass(item: LanguageNavigationV1Item): string;
    /**
     * You may overrule this method to determine for example based on current URL / page context whether the item is active.
     * @param item
     */
    isItemActive(item: NavigationV1Item): boolean;
}
